curl --request POST \
--url https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matrixIds": [
"83268f1d-f96f-4b1d-aa02-56c7654ab552",
"d4bde8d3-9af5-4656-a38c-a119088ef295"
]
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.023Z",
"message": "Success",
"data": {
"successCount": 5,
"failureCount": 0,
"successIds": [
"a56a024f-fd34-4a20-9acd-e37cd0cc0eaf",
"187a4a3b-1143-4d28-ac91-27abaa792198"
],
"failures": {
"059e7d97-73cf-452d-a306-55d9a920dfae": "Matrix not found",
"170dea67-879a-4a91-9adb-a6e485833efe": "Unauthorized operation"
}
}
}curl --request POST \
--url https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matrixIds": [
"83268f1d-f96f-4b1d-aa02-56c7654ab552",
"d4bde8d3-9af5-4656-a38c-a119088ef295"
]
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.023Z",
"message": "Success",
"data": {
"successCount": 5,
"failureCount": 0,
"successIds": [
"a56a024f-fd34-4a20-9acd-e37cd0cc0eaf",
"187a4a3b-1143-4d28-ac91-27abaa792198"
],
"failures": {
"059e7d97-73cf-452d-a306-55d9a920dfae": "Matrix not found",
"170dea67-879a-4a91-9adb-a6e485833efe": "Unauthorized operation"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Array of matrix IDs to soft delete
1[
"83268f1d-f96f-4b1d-aa02-56c7654ab552",
"d4bde8d3-9af5-4656-a38c-a119088ef295"
]Was this page helpful?